/**
 * Show / hide settings for List.
 */
Drupal.behaviors.settingsToggle = function(context) {
  // remove click from link
  $('.campaign-monitor-settings-toggle').click(function(e){
    e.preventDefault();
  });
  // Add click event to entire td
  $('.campaign-monitor-settings-toggle').click(function(){
    var settings = $(this).siblings('.campaign-monitor-settings-tab');
    if (settings.is(':visible')) {
      settings.hide();
    }
    else {
      $('.campaign-monitor-settings-tab').hide();
      settings.slideDown('normal');
    }
  });
}